Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.session
Interface ChapterIVService

All Known Implementing Classes:
  ChapterIVServiceImpl

    public interface ChapterIVService

The Business Connector for General Practitioners provides a simplified interface to access the ChapterIV service by providing the following functionality: it retrieves the token from the session

Default impl : `ChapterIVServiceImpl` Factory : `ChapterIVSessionServiceFactory`

Method Summary
`AskChap4MedicalAdvisorAgreementResponse` | `askChap4MedicalAdvisorAgreementResponse(AskChap4MedicalAdvisorAgreementRequest request)` retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
`AskChap4MedicalAdvisorAgreementResponse` | `askChap4MedicalAdvisorAgreementResponse(FolderType folder, String inputReference, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` Deprecated.
`ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)` retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
`ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(FolderType folder, String inputReference, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` Deprecated.
`AdmissionBuilder` | `getAdmissionBuilder()` returns the `AdmissionBuilderImpl` , a session should be active.
`ConsultationBuilder` | `getConsultationBuilder()` returns the `ConsultationBuilderImpl`.
`ResponseBuilder` | `getResponseBuilder()` returns the `ResponseBuilderImpl` , a session should be active.

Method Detail

### consultChap4MedicalAdvisorAgreement

    ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)
                                                                                    throws ChapterIVBusinessConnectorException,
                                                                                           TechnicalConnectorException,
                                                                                           SessionManagementException

  retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.

  Parameters:
    `request` -
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### consultChap4MedicalAdvisorAgreement

    @Deprecated
    ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(FolderType folder,
                                                                                               String inputReference,
                                                                                               boolean isTest,
                                                                                               String commonReference,
                                                                                               String commonNIPReference,
                                                                                               org.joda.time.DateTime agreementStartDate)
                                                                                    throws ChapterIVBusinessConnectorException,
                                                                                           TechnicalConnectorException,
                                                                                           SessionManagementException

  Deprecated.

  retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active. for the agreementStartDate parameter utility method is proviced in `FolderTypeUtils`.retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation

  Parameters:
    `folder` -
    `inputReference` -
    `isTest` -
    `commonReference` -
    `commonNIPReference` -
    `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getConsultationBuilder

    ConsultationBuilder getConsultationBuilder()
                                               throws TechnicalConnectorException

  returns the `ConsultationBuilderImpl`. a session should be active

  Returns:
    ConsultationBuilder
  Throws:
    `TechnicalConnectorException`

### askChap4MedicalAdvisorAgreementResponse

    AskChap4MedicalAdvisorAgreementResponse askChap4MedicalAdvisorAgreementResponse(AskChap4MedicalAdvisorAgreementRequest request)
                                                                                    throws ChapterIVBusinessConnectorException,
                                                                                           TechnicalConnectorException,
                                                                                           SessionManagementException

  retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.

  Parameters:
    `request` -
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### askChap4MedicalAdvisorAgreementResponse

    @Deprecated
    AskChap4MedicalAdvisorAgreementResponse askChap4MedicalAdvisorAgreementResponse(FolderType folder,
                                                                                               String inputReference,
                                                                                               boolean isTest,
                                                                                               String commonReference,
                                                                                               String commonNIPReference,
                                                                                               org.joda.time.DateTime agreementStartDate)
                                                                                    throws ChapterIVBusinessConnectorException,
                                                                                           TechnicalConnectorException,
                                                                                           SessionManagementException

  Deprecated.

  retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active. for the agreementStartDate parameter utility method is proviced in `FolderTypeUtils`.retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation

  Parameters:
    `folder` -
    `inputReference` -
    `isTest` -
    `commonReference` -
    `commonNIPReference` -
    `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
  Returns:
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getAdmissionBuilder

    AdmissionBuilder getAdmissionBuilder()
                                         throws TechnicalConnectorException

  returns the `AdmissionBuilderImpl` , a session should be active.

  Returns:
    AdmissionBuilder
  Throws:
    `TechnicalConnectorException`

### getResponseBuilder

    ResponseBuilder getResponseBuilder()
                                       throws TechnicalConnectorException

  returns the `ResponseBuilderImpl` , a session should be active.

  Returns:
    ResponseBuilder
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.